Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.config.java.plugin.tx
Class GeneralizedAnnotationDrivenBeanDefinitionParser

    java.lang.Object
      org.springframework.config.java.plugin.tx.GeneralizedAnnotationDrivenBeanDefinitionParser

    public class GeneralizedAnnotationDrivenBeanDefinitionParser

extends java.lang.Object

TODO: JAVADOC

Field Summary
`static java.lang.String` | `DEFAULT_TRANSACTION_MANAGER_BEAN_NAME`
`static java.lang.String` | `TRANSACTION_ADVISOR_BEAN_NAME` The bean name of the internally managed transaction advisor (mode="proxy").
`static java.lang.String` | `TRANSACTION_ASPECT_BEAN_NAME` The bean name of the internally managed transaction aspect (mode="aspectj").

Constructor Summary
`GeneralizedAnnotationDrivenBeanDefinitionParser()`

Method Summary
`org.springframework.beans.factory.config.BeanDefinition` | `parseDeclaration(org.springframework.config.java.plugin.tx.TxAnnotationDrivenDeclaration txDec, org.springframework.beans.factory.support.BeanDefinitionRegistry registry)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_TRANSACTION_MANAGER_BEAN_NAME

    public static final java.lang.String DEFAULT_TRANSACTION_MANAGER_BEAN_NAME

See Also:
  Constant Field Values

### TRANSACTION_ADVISOR_BEAN_NAME

    public static final java.lang.String TRANSACTION_ADVISOR_BEAN_NAME

  The bean name of the internally managed transaction advisor (mode="proxy").

  See Also:
    Constant Field Values

### TRANSACTION_ASPECT_BEAN_NAME

    public static final java.lang.String TRANSACTION_ASPECT_BEAN_NAME

  The bean name of the internally managed transaction aspect (mode="aspectj").

  See Also:
    Constant Field Values

Constructor Detail

### GeneralizedAnnotationDrivenBeanDefinitionParser

    public GeneralizedAnnotationDrivenBeanDefinitionParser()

Method Detail

### parseDeclaration

    public org.springframework.beans.factory.config.BeanDefinition parseDeclaration(org.springframework.config.java.plugin.tx.TxAnnotationDrivenDeclaration txDec,
                                                                                    org.springframework.beans.factory.support.BeanDefinitionRegistry registry)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD